<!DOCTYPE html>
<html lang="pl-PL">
<%- include('partials/_head.ejs') %>
  <body>
    <style>
      #submitButton {
          padding: 10px;
          width: 110px;
          background-color: transparent;
          color: #0984e3;
          border-radius: 25px;
          border: 1px solid #0984e3;
          transition: 0.2s ease-in-out;
      }
      #submitButton:hover {
          background-color: #0984e3;
          color: azure;
      }
      #buttonsContainer {
        display: flex;
        flex-direction: row;
        align-items: center;
      }
      #loginLink {
        text-decoration: none;
        color: #0984e3;
        transition: 0.2s ease-in-out;
        margin-left: 4px;
      }
      #loginLink:hover {
        color: #03589a;
      }
    </style>
<%- include('partials/_header.ejs') %>
    <main role="main">
      <div class="container mt-5">
        <h2>Rejestracja</h2>
        <form action="/auth/register" method="POST">
          <div class="mb-3">
            <input type="text" name="username" placeholder="Imię i nazwisko (np. Janusz Kowalski)" required class="form-control" style="margin-top: 20px;">
          </div>
          <div class="mb-3">
            <input type="password" name="password" placeholder="Utwórz hasło" required class="form-control">
          </div>
          <div class="mb-3" id="buttonsContainer">
            <button type="submit" class="btn btn-primary mr-2" style="margin-right: 10px;" id="submitButton">Zarejestruj</button>
            Posiadasz już konto? <a href="/auth/login" id="loginLink">Zaloguj się</a>
          </div>
        </form>
      </div>
    </main>
  </body>
<%- include('partials/_footer.ejs') %>
</html>
